      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for z/OS                       **
      **                                                              **
      **  FILE NAME:      CMQCFXNV                                    **
      **                                                              **
      **  DESCRIPTION:    PCF 64Bit Integer Parameter Structure       **
      **                                                              **
      ******************************************************************
      **  @N_OCO_COPYRIGHT@                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1995, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  @NOC_COPYRIGHT@                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCFIN64.  **
      **                                                              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************


      ******************************************************************
      **  MQCFIN64 Structure -- PCF 64-bit Integer Parameter          **
      ******************************************************************

      ** MQCFIN64 structure
       10  MQCFIN64.
      ** Structure type 
       15  MQCFIN64-TYPE PIC S9(9) BINARY.
      ** Structure length 
       15  MQCFIN64-STRUCLENGTH PIC S9(9) BINARY.
      ** Parameter identifier 
       15  MQCFIN64-PARAMETER PIC S9(9) BINARY.
      ** Reserved field 
       15  MQCFIN64-RESERVED PIC S9(9) BINARY.
      ** Parameter value 
       15  MQCFIN64-VALUE PIC S9(18) BINARY.

      ******************************************************************
      **  End of CMQCFXNL                  
      ******************************************************************
