      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for UNIX                       **
      **                                                              **
      **  FILE NAME:      CMQCSPV                                     **
      **                                                              **
      **  DESCRIPTION:    Security Parameters Structure               **
      **                                                              **
      ******************************************************************
      **  <N_OCO_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1997, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <NOC_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCSP,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************


      ******************************************************************
      **  MQCSP Structure -- Security Parameters                      **
      ******************************************************************

      ** MQCSP structure
       10  MQCSP.
      ** Structure identifier 
       15  MQCSP-STRUCID PIC X(4) VALUE 'CSP '.
      ** Structure version number 
       15  MQCSP-VERSION PIC S9(9) BINARY VALUE 1.
      ** Type of authentication 
       15  MQCSP-AUTHENTICATIONTYPE PIC S9(9) BINARY VALUE 0.
      ** Reserved 
       15  MQCSP-RESERVED1 PIC X(4) VALUE X'00000000'.
      ** Address of user ID 
       15  MQCSP-CSPUSERIDPTR POINTER VALUE NULL.
      ** Offset of user ID 
       15  MQCSP-CSPUSERIDOFFSET PIC S9(9) BINARY VALUE 0.
      ** Length of user ID 
       15  MQCSP-CSPUSERIDLENGTH PIC S9(9) BINARY VALUE 0.
      ** Reserved 
       15  MQCSP-RESERVED2 PIC X(8) VALUE X'0000000000000000'.
      ** Address of password 
       15  MQCSP-CSPPASSWORDPTR POINTER VALUE NULL.
      ** Offset of password 
       15  MQCSP-CSPPASSWORDOFFSET PIC S9(9) BINARY VALUE 0.
      ** Length of password 
       15  MQCSP-CSPPASSWORDLENGTH PIC S9(9) BINARY VALUE 0.

      ******************************************************************
      **  End of CMQCSPV                  
      ******************************************************************
