      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQBOV                                      **
      **                                                              **
      **  DESCRIPTION:    Begin Options Structure                     **
      **                                                              **
      ******************************************************************
      **  <N_OCO_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1997, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <NOC_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQBO,      **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************


      ******************************************************************
      **  MQBO Structure -- Begin Options                             **
      ******************************************************************

      ** MQBO structure
       10  MQBO.
      ** Structure identifier 
       15  MQBO-STRUCID PIC X(4).
      ** Structure version number 
       15  MQBO-VERSION PIC S9(9) BINARY.
      ** Options that control the action of MQBEGIN 
       15  MQBO-OPTIONS PIC S9(9) BINARY.

      ******************************************************************
      **  End of CMQBOL                  
      ******************************************************************
