      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQCFILV                                    **
      **                                                              **
      **  DESCRIPTION:    PCF Integer List Parameter Structure        **
      **                                                              **
      ******************************************************************
      **  <N_OCO_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1995, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <NOC_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCFIL,    **
      **                  which is used for PCF and event messages.   **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************


      ******************************************************************
      **  MQCFBF Structure -- PCF Byte String Filter Parameter        **
      ******************************************************************

      ** MQCFBF structure
       10  MQCFBF.
      ** Structure type 
       15  MQCFBF-TYPE PIC S9(9) BINARY.
      ** Structure length 
       15  MQCFBF-STRUCLENGTH PIC S9(9) BINARY.
      ** Parameter identifier 
       15  MQCFBF-PARAMETER PIC S9(9) BINARY.
      ** Operator identifier 
       15  MQCFBF-OPERATOR PIC S9(9) BINARY.
      ** Filter value length 
       15  MQCFBF-FILTERVALUELENGTH PIC S9(9) BINARY.

      ******************************************************************
      **  End of CMQCFBFL                  
      ******************************************************************
