/*  @(#) include/imqi.pre_hpp, imqi, p600, p600-201-061220 1.8.14.1 05/05/27 10:25:53 */
#ifndef _IMQI_HPP_
#define _IMQI_HPP_

//  Library:       WebSphere MQ
//  Component:     IMQI (WebSphere MQ C++ MQI)
//  Part:          IMQI.HPP
//
//  Description:   All WebSphere MQ MQI class declarations
//  <N_OCO_COPYRIGHT> 
//  Licensed Materials - Property of IBM
//  
//  63H9336
//  (c) Copyright IBM Corp. 1994, 2005 All Rights Reserved.
//  
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract with
//  IBM Corp.
//  <NOC_COPYRIGHT>  

#include <imqair.hpp> // ImqAuthenticationRecord
#include <imqbin.hpp> // ImqBinary
#include <imqcac.hpp> // ImqCache
#include <imqchl.hpp> // ImqChannel
#include <imqcih.hpp> // ImqCICSBridgeHeader
#include <imqdlh.hpp> // ImqDeadLetterHeader
#include <imqdst.hpp> // ImqDistributionList
#include <imqerr.hpp> // ImqError
#include <imqgmo.hpp> // ImqGetMessageOptions
#include <imqhdr.hpp> // ImqHeader
#include <imqiih.hpp> // ImqIMSBridgeHeader
#include <imqitm.hpp> // ImqItem
#include <imqmsg.hpp> // ImqMessage
#include <imqmtr.hpp> // ImqMessageTracker
#include <imqnml.hpp> // ImqNamelist
#include <imqobj.hpp> // ImqObject
#include <imqpro.hpp> // ImqProcess
#include <imqpmo.hpp> // ImqPutMessageOptions
#include <imqque.hpp> // ImqQueue
#include <imqmgr.hpp> // ImqQueueManager
#include <imqrfh.hpp> // ImqReferenceHeader
#include <imqstr.hpp> // ImqString
#include <imqtrg.hpp> // ImqTrigger
#include <imqwih.hpp> // ImqWorkHeader

#endif
