' Library:       WebSphere MQ
' Component:     WMQ SOAP Sample Programs
' Part:          SQVB2Axis.vb
'
'  <N_OCO_COPYRIGHT> 
'  Licensed Materials - Property of IBM
'  
'  63H9336
'  (c) Copyright IBM Corp. 2005 All Rights Reserved.
'  
'  US Government Users Restricted Rights - Use, duplication or
'  disclosure restricted by GSA ADP Schedule Contract with
'  IBM Corp.
'  <NOC_COPYRIGHT>
  
' <summary>
' This sample program makes a request to the Axis service providing stock
' quotes and prints out the received response. The request is synchronous
' and the program waits until it gets a response. The proxies required by the
' client for the Axis service are generated from the Java file provided as
' part of the SOAP server samples.
' </summary>

Module SQVB2Axis

    Function Main(ByVal CmdArgs() As String) As Integer
			IBM.WMQSOAP.Register.Extension()
			Dim obj as new StockQuoteAxisService()
			Dim res as Single = obj.getQuote("fromcs")
			System.Console.WriteLine("SQVB2Axis: reply is: '{0}'", res)
	End Function
   
End Module
