@echo off

rem ------------------------------------------------------------
rem  IBM Websphere MQ Support for Java Message Service
rem  Installation Verification Tests Setup script
rem
rem  Licensed Materials - Property of IBM
rem
rem  5724-H72 5655-L82 5724-L26
rem
rem  (c) Copyright IBM Corp. 1999, 2005.  All Rights Reserved.
rem
rem  US Government Users Restricted Rights - Use, duplication or
rem  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem -------------------------------------------------------------


echo + Creating script for object creation within JMSAdmin
echo def qcf(ivtQCF) > ivtsetup.scp
echo def q(ivtQ) qu(SYSTEM.DEFAULT.LOCAL.QUEUE) >> ivtsetup.scp
echo def tcf(ivtTCF) >> ivtsetup.scp
echo def t(ivtT) topic(MQJMS/PSIVT/Information) >> ivtsetup.scp
echo end >> ivtsetup.scp

echo + Calling JMSAdmin in batch mode to create objects
java -Djava.library.path="%MQ_JAVA_LIB_PATH%"  -DMQJMS_LOG_DIR="%MQ_JAVA_DATA_PATH%"\log -DMQJMS_TRACE_DIR="%MQ_JAVA_DATA_PATH%"\errors -DMQJMS_INSTALL_PATH="%MQ_JAVA_INSTALL_PATH%" com.ibm.mq.jms.admin.JMSAdmin < ivtsetup.scp

echo + Administration done; tidying up files
del ivtsetup.scp

echo + Done!
