@ rem -  Library:       WebSphere MQ
@ rem -  Component:     WMQ SOAP Sample Programs
@ rem -  Part:          amqwcallWSDL.cmd
@ rem - 
@ rem -   <N_OCO_COPYRIGHT> 
@ rem -   Licensed Materials - Property of IBM
@ rem -   
@ rem -   63H9336
@ rem -   (c) Copyright IBM Corp. 1994, 2005 All Rights Reserved.
@ rem -   
@ rem -   US Government Users Restricted Rights - Use, duplication or
@ rem -   disclosure restricted by GSA ADP Schedule Contract with
@ rem -   IBM Corp.
@ rem -   <NOC_COPYRIGHT>
@echo off

rem Following is for .NET 1.1:
if "%msfwdir%"=="" set msfwdir=%ProgramFiles%\Microsoft.NET\SDK\v1.1\Bin

call :whereInPath wsdl.exe
if not "%whereInPath%"=="" set soap_wsdl=%whereInPath%\wsdl.exe
if "%whereInPath%"=="" set soap_wsdl=%msfwdir%\wsdl.exe
rem - echo Testing soap_wsdl="%soap_wsdl%"
if not exist "%soap_wsdl%" ( 
  echo wsdl.exe NOT FOUND +++++++++++++++++++++++++++++++++++++++++++++
  echo Make sure the .NET framework is in the path, 
  echo or correct %0 to identify where the SDK is installed.  see "set msfwdir=..."
  echo path is ...
  path
  exit /b 1
)
rem - echo Using soap_wsdl="%soap_wsdl%"

pushd generated\client

call :amqwquietOK "%soap_wsdl%" %* 

set rc=%errorlevel%

popd

exit /b %rc%

rem ================================================

rem - execute a command quietly (unless it fails)
:amqwquietOK
%* >quietOK.templog  2>quietOK.temperrlog
set quietOKExit=%errorlevel%
if not %quietOKExit% == 0 (
   echo +++++++++++++++ quietOK %* gave errlevel = %errorlevel%
   type quietOK.templog

   rem N.B: Keep any error output on the error stream
   type quietOK.temperrlog >&2
)
erase quietOK.templog
erase quietOK.temperrlog
exit /b %quietOKExit%

@ rem - subroutine to check if item already in path (and if so, where)
@ :whereInPath
@ set whereInPath=%~dp$PATH:1
@ exit /b 0
