// %PUB_START%
// Licensed Materials - Property of IBM
// 
// 5724-H72, 5655-L82, 5724-L26
// 
// (c) Copyright IBM Corp. 2000, 2005
// 
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
// %PUB_END%
// @(#) jms/samples/asf/MessageListenerFactory.java, jms, j600, j600-200-060630 1.3.1.1 05/05/25 15:39:52
/*****************************************************************************
 *                                                                           *
 *       MQJMS Standalone Application Server Facilities (ASF) Samples        *
 *                                                                           *
 *                                                                           *
 *  FILENAME:     MessageListenerFactory.java                                *
 *                                                                           *
 *  DESCRIPTION:  A simple interface which can be implemented by providers   *
 *                of instances of the javax.jms.MessageListener interface.   *
 *                                                                           *
 *  USAGE:        n/a                                                        *
 *                                                                           *
 *  HISTORY:      010131 - First released as part of SupportPac MA88 v2      *
 *                                                                           *
 *****************************************************************************/

import javax.jms.*;

public interface MessageListenerFactory {
   /** createMessageListener - The factory method itself */
   public MessageListener createMessageListener();
}
