      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQSCOV                                     **
      **                                                              **
      **  DESCRIPTION:    SSL Configuration Options Structure         **
      **                                                              **
      ******************************************************************
      **  <N_OCO_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1997, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <NOC_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQSCO,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************


      ******************************************************************
      **  MQSCO Structure -- SSL Configuration Options                **
      ******************************************************************

      ** MQSCO structure
       10  MQSCO.
      ** Structure identifier 
       15  MQSCO-STRUCID PIC X(4) VALUE 'SCO '.
      ** Structure version number 
       15  MQSCO-VERSION PIC S9(9) BINARY VALUE 1.
      ** Location of SSL key repository 
       15  MQSCO-KEYREPOSITORY PIC X(256) VALUE SPACES.
      ** Cryptographic hardware configuration string 
       15  MQSCO-CRYPTOHARDWARE PIC X(256) VALUE SPACES.
      ** Number of MQAIR records present 
       15  MQSCO-AUTHINFORECCOUNT PIC S9(9) BINARY VALUE 0.
      ** Offset of first MQAIR record from start of MQSCO structure 
       15  MQSCO-AUTHINFORECOFFSET PIC S9(9) BINARY VALUE 0.
      ** Address of first MQAIR record 
       15  MQSCO-AUTHINFORECPTR POINTER VALUE NULL.
      ** Number of unencrypted bytes sent/received before secret key is
      ** reset 
       15  MQSCO-KEYRESETCOUNT PIC S9(9) BINARY VALUE 0.
      ** Mandatory FIPS CipherSpecs? 
       15  MQSCO-FIPSREQUIRED PIC S9(9) BINARY VALUE 0.

      ******************************************************************
      **  End of CMQSCOV                  
      ******************************************************************
