      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQAIRL                                     **
      **                                                              **
      **  DESCRIPTION:    Authentication Information Record Structure **
      **                                                              **
      ******************************************************************
      **  <N_OCO_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1997, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <NOC_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQAIR,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************


      ******************************************************************
      **  MQAIR Structure -- Authentication Information Record        **
      ******************************************************************

      ** MQAIR structure
       10  MQAIR.
      ** Structure identifier 
       15  MQAIR-STRUCID PIC X(4).
      ** Structure version number 
       15  MQAIR-VERSION PIC S9(9) BINARY.
      ** Type of authentication information 
       15  MQAIR-AUTHINFOTYPE PIC S9(9) BINARY.
      ** Connection name of CRL LDAP server 
       15  MQAIR-AUTHINFOCONNNAME PIC X(264).
      ** Address of LDAP user name 
       15  MQAIR-LDAPUSERNAMEPTR POINTER.
      ** Offset of LDAP user name from start of MQAIR structure 
       15  MQAIR-LDAPUSERNAMEOFFSET PIC S9(9) BINARY.
      ** Length of LDAP user name 
       15  MQAIR-LDAPUSERNAMELENGTH PIC S9(9) BINARY.
      ** Password to access LDAP server 
       15  MQAIR-LDAPPASSWORD PIC X(32).

      ******************************************************************
      **  End of CMQAIRL                  
      ******************************************************************
