      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for z/OS                       **
      **                                                              **
      **  FILE NAME:      CMQCFSFV                                    **
      **                                                              **
      **  DESCRIPTION:    PCF String Filter Parameter                 **
      **                                                              **
      ******************************************************************
      **  @N_OCO_COPYRIGHT@                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1995, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  @NOC_COPYRIGHT@                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCFSF.    **
      **                                                              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************


      ******************************************************************
      **  MQCFBS Structure -- PCF Byte String Parameter               **
      ******************************************************************

      ** MQCFBS structure
       10  MQCFBS.
      ** Structure type 
       15  MQCFBS-TYPE PIC S9(9) BINARY VALUE 9.
      ** Structure length 
       15  MQCFBS-STRUCLENGTH PIC S9(9) BINARY VALUE 16.
      ** Parameter identifier 
       15  MQCFBS-PARAMETER PIC S9(9) BINARY VALUE 0.
      ** Length of string 
       15  MQCFBS-STRINGLENGTH PIC S9(9) BINARY VALUE 0.

      ******************************************************************
      **  End of CMQCFBSV                  
      ******************************************************************
