      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for z/OS                       **
      **                                                              **
      **  FILE NAME:      CMQCFGRV                                    **
      **                                                              **
      **  DESCRIPTION:    PCF Group Parameter                         **
      **                                                              **
      ******************************************************************
      **  @N_OCO_COPYRIGHT@                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1995, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  @NOC_COPYRIGHT@                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCFGR.    **
      **                                                              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************


      ******************************************************************
      **  MQCFGR Structure -- PCF Group Parameter                     **
      ******************************************************************

      ** MQCFGR structure
       10  MQCFGR.
      ** Structure type 
       15  MQCFGR-TYPE PIC S9(9) BINARY.
      ** Structure length 
       15  MQCFGR-STRUCLENGTH PIC S9(9) BINARY.
      ** Parameter identifier 
       15  MQCFGR-PARAMETER PIC S9(9) BINARY.
      ** Count of group parameter structures 
       15  MQCFGR-PARAMETERCOUNT PIC S9(9) BINARY.

      ******************************************************************
      **  End of CMQCFGRL                  
      ******************************************************************
