      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for z/OS                       **
      **                                                              **
      **  FILE NAME:      CMQCFIFV                                    **
      **                                                              **
      **  DESCRIPTION:    PCF Integer Filter Parameter                **
      **                                                              **
      ******************************************************************
      **  @N_OCO_COPYRIGHT@                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1995, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  @NOC_COPYRIGHT@                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCFIF.    **
      **                                                              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************


      ******************************************************************
      **  MQCFIF Structure -- PCF Integer Filter Parameter            **
      ******************************************************************

      ** MQCFIF structure
       10  MQCFIF.
      ** Structure type 
       15  MQCFIF-TYPE PIC S9(9) BINARY.
      ** Structure length 
       15  MQCFIF-STRUCLENGTH PIC S9(9) BINARY.
      ** Parameter identifier 
       15  MQCFIF-PARAMETER PIC S9(9) BINARY.
      ** Operator identifier 
       15  MQCFIF-OPERATOR PIC S9(9) BINARY.
      ** Filter value 
       15  MQCFIF-FILTERVALUE PIC S9(9) BINARY.

      ******************************************************************
      **  End of CMQCFIFL                  
      ******************************************************************
