      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQCFSTV                                    **
      **                                                              **
      **  DESCRIPTION:    PCF String Parameter Structure              **
      **                                                              **
      ******************************************************************
      **  <N_OCO_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1995, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <NOC_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCFST,    **
      **                  which is used for PCF and event messages.   **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************


      ******************************************************************
      **  MQCFST Structure -- PCF String Parameter                    **
      ******************************************************************

      ** MQCFST structure
       10  MQCFST.
      ** Structure type 
       15  MQCFST-TYPE PIC S9(9) BINARY VALUE 4.
      ** Structure length 
       15  MQCFST-STRUCLENGTH PIC S9(9) BINARY VALUE 20.
      ** Parameter identifier 
       15  MQCFST-PARAMETER PIC S9(9) BINARY VALUE 0.
      ** Coded character set identifier 
       15  MQCFST-CODEDCHARSETID PIC S9(9) BINARY VALUE 0.
      ** Length of string 
       15  MQCFST-STRINGLENGTH PIC S9(9) BINARY VALUE 0.

      ******************************************************************
      **  End of CMQCFSTV                  
      ******************************************************************
