      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQTMCL                                     **
      **                                                              **
      **  DESCRIPTION:    Trigger Message (Character) Structure       **
      **                                                              **
      ******************************************************************
      **  <N_OCO_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1997, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <NOC_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQTMC,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************


      ******************************************************************
      **  MQTMC Structure -- Trigger Message (Character)              **
      ******************************************************************

      ** MQTMC structure
       10  MQTMC.
      ** Structure identifier 
       15  MQTMC-STRUCID PIC X(4).
      ** Structure version number 
       15  MQTMC-VERSION PIC X(4).
      ** Name of triggered queue 
       15  MQTMC-QNAME PIC X(48).
      ** Name of process object 
       15  MQTMC-PROCESSNAME PIC X(48).
      ** Trigger data 
       15  MQTMC-TRIGGERDATA PIC X(64).
      ** Application type 
       15  MQTMC-APPLTYPE PIC X(4).
      ** Application identifier 
       15  MQTMC-APPLID PIC X(256).
      ** Environment data 
       15  MQTMC-ENVDATA PIC X(128).
      ** User data 
       15  MQTMC-USERDATA PIC X(128).

      ******************************************************************
      **  End of CMQTMCL                  
      ******************************************************************
