      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQTMV                                      **
      **                                                              **
      **  DESCRIPTION:    Trigger Message Structure                   **
      **                                                              **
      ******************************************************************
      **  <N_OCO_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1993, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <NOC_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQTM,      **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************


      ******************************************************************
      **  MQTM Structure -- Trigger Message                           **
      ******************************************************************

      ** MQTM structure
       10  MQTM.
      ** Structure identifier 
       15  MQTM-STRUCID PIC X(4).
      ** Structure version number 
       15  MQTM-VERSION PIC S9(9) BINARY.
      ** Name of triggered queue 
       15  MQTM-QNAME PIC X(48).
      ** Name of process object 
       15  MQTM-PROCESSNAME PIC X(48).
      ** Trigger data 
       15  MQTM-TRIGGERDATA PIC X(64).
      ** Application type 
       15  MQTM-APPLTYPE PIC S9(9) BINARY.
      ** Application identifier 
       15  MQTM-APPLID PIC X(256).
      ** Environment data 
       15  MQTM-ENVDATA PIC X(128).
      ** User data 
       15  MQTM-USERDATA PIC X(128).

      ******************************************************************
      **  End of CMQTML                  
      ******************************************************************
