      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQCFINV                                    **
      **                                                              **
      **  DESCRIPTION:    PCF Integer Parameter Structure             **
      **                                                              **
      ******************************************************************
      **  <N_OCO_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1995, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <NOC_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCFIN,    **
      **                  which is used for PCF and event messages.   **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************


      ******************************************************************
      **  MQCFIN Structure -- PCF Integer Parameter                   **
      ******************************************************************

      ** MQCFIN structure
       10  MQCFIN.
      ** Structure type 
       15  MQCFIN-TYPE PIC S9(9) BINARY VALUE 3.
      ** Structure length 
       15  MQCFIN-STRUCLENGTH PIC S9(9) BINARY VALUE 16.
      ** Parameter identifier 
       15  MQCFIN-PARAMETER PIC S9(9) BINARY VALUE 0.
      ** Parameter value 
       15  MQCFIN-VALUE PIC S9(9) BINARY VALUE 0.

      ******************************************************************
      **  End of CMQCFINV                  
      ******************************************************************
