      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for z/OS                       **
      **                                                              **
      **  FILE NAME:      CMQCFSFV                                    **
      **                                                              **
      **  DESCRIPTION:    PCF String Filter Parameter                 **
      **                                                              **
      ******************************************************************
      **  @N_OCO_COPYRIGHT@                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1995, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  @NOC_COPYRIGHT@                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCFSF.    **
      **                                                              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************


      ******************************************************************
      **  MQCFSF Structure -- PCF String Filter Parameter             **
      ******************************************************************

      ** MQCFSF structure
       10  MQCFSF.
      ** Structure type 
       15  MQCFSF-TYPE PIC S9(9) BINARY.
      ** Structure length 
       15  MQCFSF-STRUCLENGTH PIC S9(9) BINARY.
      ** Parameter identifier 
       15  MQCFSF-PARAMETER PIC S9(9) BINARY.
      ** Operator identifier 
       15  MQCFSF-OPERATOR PIC S9(9) BINARY.
      ** Coded character set identifier 
       15  MQCFSF-CODEDCHARSETID PIC S9(9) BINARY.
      ** Filter value length 
       15  MQCFSF-FILTERVALUELENGTH PIC S9(9) BINARY.

      ******************************************************************
      **  End of CMQCFSFL                  
      ******************************************************************
