      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for z/OS                       **
      **                                                              **
      **  FILE NAME:      CMQCFXLV                                    **
      **                                                              **
      **  DESCRIPTION:    PCF 64Bit Integer List Parameter Structure  **
      **                                                              **
      ******************************************************************
      **  @N_OCO_COPYRIGHT@                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1995, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  @NOC_COPYRIGHT@                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCFIL64.  **
      **                                                              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************


      ******************************************************************
      **  MQCFIL64 Structure -- PCF 64-bit Integer-List Parameter     **
      ******************************************************************

      ** MQCFIL64 structure
       10  MQCFIL64.
      ** Structure type 
       15  MQCFIL64-TYPE PIC S9(9) BINARY.
      ** Structure length 
       15  MQCFIL64-STRUCLENGTH PIC S9(9) BINARY.
      ** Parameter identifier 
       15  MQCFIL64-PARAMETER PIC S9(9) BINARY.
      ** Count of parameter values 
       15  MQCFIL64-COUNT PIC S9(9) BINARY.

      ******************************************************************
      **  End of CMQCFXLL                  
      ******************************************************************
