      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQRRV                                      **
      **                                                              **
      **  DESCRIPTION:    Response Record Structure                   **
      **                                                              **
      ******************************************************************
      **  <N_OCO_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  63H9336                                                     **
      **  (c) Copyright IBM Corp. 1997, 2005 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <NOC_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQRR,      **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************


      ******************************************************************
      **  MQRR Structure -- Response Record                           **
      ******************************************************************

      ** MQRR structure
       10  MQRR.
      ** Completion code for queue 
       15  MQRR-COMPCODE PIC S9(9) BINARY VALUE 0.
      ** Reason code for queue 
       15  MQRR-REASON PIC S9(9) BINARY VALUE 0.

      ******************************************************************
      **  End of CMQRRV                  
      ******************************************************************
