<%@ LANGUAGE = VbScript TRANSACTION = Not_Supported %>
<% Option Explicit %>
<!--DEADMETADEADDATA TYPE="TypeLib"  UUID="{B3927DD1-B888-11CF-A5F7-444553540000}" -->

<!/******************************************************************************/!>
<!/*                                                                            */!>
<!/* Program name: MQMtsClient.ASP                                              */!>
<!/*                                                                            */!>
<!/* Description:  Sample ASP program for WebSphere MQ MTS Support              */!>
<!/*                                                                            */!>
<!/* Statement:    Licensed Materials - Property of IBM                         */!>
<!/*                                                                            */!>
<!/*               (C) Copyright IBM Corp. 1999-2000                            */!>
<!/*                                                                            */!>
<!/******************************************************************************/!>


<!---------------------------------------------------------------------
This active server page is in five main sections.
Go directly to the LAST one for description.
  1: retrieve values from form in previous page (for step 7a)
  2: main HTML layout of page (for steps 2a and 7a)
  3: browser script to perform some entry validation (for step 5)
  4: server script to process previous page (for step 7b)
     and present result in next page (for step 7c).
  5: description
---------------------------------------------------------------------->

 
<!-------------------------------------------------------------------->
<!-------------------------------------------------------------------->
<!-                                                                 -->
<!-SECTION 1 --------------------------------------------------------->
<!-                                                                 -->
<! Retrieve values of form variables from previous page             -->
<! in order to place them into new version of page.                 -->
<! (There must be an easier way?)                                   -->
<!-------------------------------------------------------------------->
<!-------------------------------------------------------------------->

<%
Dim FromAccount, ToAccount, Amount, SubmitPage, Trantype, ProcessType
Dim MTSChecked, MQChecked

FromAccount= request.form("FromAccount")
ToAccount= request.form("ToAccount")
Amount= request.form("Amount")
SubmitPage= request.form("SubmitPage")
ProcessType = request.form("ProcessType")
If ProcessType = "MQ" Then MQChecked = "CHECKED": else MTSChecked = "CHECKED"
%>

<!-------------------------------------------------------------------->
<!-------------------------------------------------------------------->
<!-                                                                 -->
<!-SECTION 2 --------------------------------------------------------->
<!-                                                                 -->
<! main HTML layout of page                                         --> 
<!-                                                                 -->
<!-------------------------------------------------------------------->
<!-------------------------------------------------------------------->

<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" content="text/html; charset=iso-8859-1">
<TITLE>MQ ASP</TITLE>
</HEAD>

<BODY TopMargin="100" Leftmargin="100">

<h2> MyBank: funds transfer request form </h2>

<FORM Name="DetailsForm" METHOD= POST  ACTION="MqMtsClient.asp"  
        LANGUAGE="JavaScript" onSubmit="return validate();" >
  <p>
    From Account Number: <INPUT TYPE="text" NAME="FromAccount" Value="<%=FromAccount%>" >
    (8 characters)
  <p>
    To Account Number: <INPUT TYPE="text" NAME="ToAccount" Value="<%=ToAccount%>" >
    (8 characters)
  <p>
    Amount to Transfer: <INPUT TYPE="text" NAME="Amount" Value="<%=Amount%>" >
  <p>
    <INPUT TYPE=HIDDEN NAME="SubmitPage" Value="yes">

    <%= InsertSpecificBits() %>
  <p>
  <br>
<p>
==============================================================================
<br>
<h4> Implementation detail (for demonstration purposes): </h4>
<p>
    Use MTS: <INPUT TYPE=RADIO NAME="ProcessType" Value="Mts" <%=MtsChecked%> >
  <br>
    Use MQ direct: <INPUT TYPE=RADIO NAME="ProcessType" Value="MQ" <%=MQChecked%> >
  <br>
</FORM>

<!-------------------------------------------------------------------->
<!-------------------------------------------------------------------->
<!-                                                                 -->
<!-SECTION 3 --------------------------------------------------------->
<! Browser script for simple validation                             --> 
<!-                                                                 -->
<!-------------------------------------------------------------------->
<!-------------------------------------------------------------------->
<SCRIPT LANGUAGE="JavaScript">
  // This code is going to run at the BROWSER end for initial verification.
  // Always use JavaScript, for Netscape etc support.	

  function validate()
  {
    FromAccount = document.DetailsForm.FromAccount.value;
    if (FromAccount.length != 8){
      alert('Please provide a valid From account, must be 8 characters');
      document.DetailsForm.FromAccount.select();
      return false;
    }

    ToAccount = document.DetailsForm.ToAccount.value;
    if (ToAccount.length != 8){
      alert('Please provide a valid To account, must be 8 characters');
      document.DetailsForm.ToAccount.select();
      return false;
    }

    return true;  // passed all checks
  }

</SCRIPT>
<! end of client side script -->

<!-------------------------------------------------------------------->
<!-------------------------------------------------------------------->
<!-                                                                 -->
<!-SECTION 4 --------------------------------------------------------->
<! Server side processing, specific to first or subsequent page.    --> 
<!   * for first page request, just place 'submit' button on page   --> 
<!   * for subsequent pages, process previous page, display results -->
<!     and place 'submit more' button                               --> 
<!-                                                                 -->
<!-------------------------------------------------------------------->
<!-------------------------------------------------------------------->

<%
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
' ~~~
'Implements five procedures:
'  InsertSpecificBits(): performs page dependent formatting.
'                        and invokves process() if necessary.  
'  Process(): submits request (via procedure below) and prepares reply.
'  ProcessMTS(): submits request via MTS object "VbMqMtsServe.RequestTransfer"
'  ProcessMQ(): puts the request directly to WebSphere MQ BankRequest queue.
'  rw(s): places data into output.
' ~~~

'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
' ~~~
' ~~~ InsertSepcificBits performs the main conditional processing.
' ~~~
Function InsertSpecificBits()    ' ~~ server side function ~~

    If SubmitPage = "" Then ' first time in, place Submit button 

        rw "<INPUT TYPE=SUBMIT VALUE=""Submit"">"

    else    ' subsequent time, acknowledge and process previous                    

        rw "Thankyou for requesting transfer of $" & Amount & " "
        rw "from account '" & FromAccount & "' "
        rw "into account '" & ToAccount & "' "
        rw "using " & ProcessType
        rw "<p> submitting ... <br>"
    
        ' Keep below in one call so that '... submission complete'
        ' does not get displayed on client too soon.
        ' (Useful feedback when process is slow, e.g. first load of MTS object).
	rw "... submission complete. <p>" & process()

        ' Make sure user knows these are further requests.
        rw "<p><p>"
        rw "<INPUT TYPE=SUBMIT VALUE=""Submit further request"">"

    End If ' if this is a response invokation of asp

End Function ' InsertSpecificBits

'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
' ~~~
' ~~~ Process performs main processing, using ProcessMTS or ProcessMQ
' ~~~
Function Process()    ' ~~ server side function ~~

    Dim rr ' value returned

    ' perform required processing
    If ProcessType = "Mts" Then
        rr = ProcessMTS()
    elseIf ProcessType = "MQ" Then 
        rr = ProcessMQ()
    else
        rr = "Bad ProcessType '" & ProcessType & "'"
    End If

    ' and setup reply
    If rr="" Then
	process = "Request submitted correctly.  This will be processed overnight."
    else
        process = "Request submission failed:" + rr
    End If

End Function  ' process

'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
' ~~~
' ~~~ Process performs main MTS processing: submit request and format reply
' ~~~     Return formatted error reply, or "" for ok.
' ~~~

Function ProcessMTS()    ' ~~ server side function ~~

  Dim rt  ' MTS (or COM) server object
  Dim rr  ' reply
  Dim i   

  ' ~~~
  ' ~~~ submit request (not much 'real' processing in this presentation code)
  ' ~~~
  set rt = server.CreateObject("VbMqMtsServe.RequestTransfer")
  rr = rt.RequestTransfer((FromAccount), (ToAccount), (Amount))

  ' ~~~
  ' ~~~ format reply, expected in form mq=<mq reply>:db=<db reply>
  ' ~~~
  If left(rr,3) <> "mq=" Then
      processMTS = "Unexpected return from MTS request: " & rr
  else
      rr = mid(rr,4)
      i = instr(rr, ":")
      If i<>0 Then rr = left(rr,i-1)
      processMTS = rr
  End If ' did response begin mq=?

End Function ' ProcessMTS

'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
' ~~~
' ~~~ Process performs main MQ processing: submit request and give reply
' ~~~     Return simple error reply, or "" for ok.
' ~~~
Const TRANCODE_ATR1 = "ATR1"  ' back end transaction code for account transfer

Const MQPER_PERSISTENT = 1
Const MQOO_OUTPUT = 16
Const MQOO_INQUIRE = 32
Const MQPMO_SYNCPOINT = 2

Function ProcessMQ()    ' ~~ server side function ~~
    Dim mqs, qm, q, msg, pmo, Famount
    
    ' ~~~ Simplistic (sample level!) error checking on most likely failure points
    ' ~~~ will catch errors, but will not return very useful stuff to end users.
    ' ~~~
    On Error Resume Next
    
    ' prepare the MQ objects
    Set mqs = server.CreateObject("MQAX200.MQSession")
        If err Then ProcessMq = "CreateObject: " + Err.Description + " " + err.source: Exit Function
    Set qm = mqs.AccessQueueManager("")  ' use the default queue manager
        If err Then ProcessMq = "AccessQueueManager: " + Err.Description + " " + err.source: Exit Function
    Set q = qm.AccessQueue("BankRequest", MQOO_OUTPUT Or MQOO_INQUIRE)
        If err Then ProcessMq = "AccessQueue: " + Err.Description + " " + err.source: Exit Function
    Set msg = mqs.AccessMessage
    Set pmo = mqs.AccessPutMessageOptions
    
    ' set up the contents of the output message
    msg.WriteString TRANCODE_ATR1
    msg.WriteString FromAccount
    msg.WriteString ToAccount

    ' was Format(Amount, "00000000.00"), no Format in vbscript
    Famount = FormatNumber(Amount, 2)
    Famount = string(11 - len(Famount), "0") & famount
    msg.WriteString  Famount
    
    ' set up the WebSphere MQ bit to make sure the server responds correctly
    msg.ReplyToQueueName = "BankReply"
    msg.Persistence = MQPER_PERSISTENT
    pmo.Options = MQPMO_SYNCPOINT     ' needed if you wish to use transaction coordination
    
    ' finally, put the message
    q.Put msg, pmo
        If err Then ProcessMq = "Put: " + Err.Description + " " + err.source: Exit Function

    ' Make sure the resources are freed,
    ' Non coordinated WebSphere MQ operations are commited by disconnect.
    ' n.b. Disconnecting the queue manager closes all queues.
    ' In the asp environment, 
    ' setting qm to nothing does NOT guarantee that it is freed and
    qm.disconnect
    
End Function  ' ProcessMQ

'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
' ~~~
' ~~~ rw is a convenience function for putting data into output page
' ~~~
Sub rw(s)    ' ~~ server side function ~~
    response.write s
End Sub ' rw

%>

<!-------------------------------------------------------------------->
<!-------------------------------------------------------------------->
<!-                                                                 -->
<!-SECTION 5 --------------------------------------------------------->
<! Description of how this page works.                              -->
<!-                                                                 -->
<!-------------------------------------------------------------------->
<!-------------------------------------------------------------------->

<h4> General description of this active server page </h4>
<p>
This active server page demonstrates a simple web based user request for funds transfer.
<p>
It provides an alternative presentation layer to the RequestTransfer part of VbMqMtsClient.
The display part of VbMqMtsClient may be used to view the results of submitting the form on this page.
<p>
This active server page is designed to operate as follows:
<ol compact>
  <li> User at (any) web browser requests page from asp enabled web server. </li>
  <li> Web server uses this asp to prepare an HTML form. </li>
    <ol compact>
      <li> Form derived directly from HTML in asp. </li>
      <li> Asp web server performs minimal processing on the page. </li>
    </ol>
  <li> HTML form sent to browser. </li>
  <li> User fills in form and presses 'submit'. </li>
  <li> Local (browser) script performs basic validation. </li>
  <li> Sucessful submission of first page requests second copy of page from web server. </li>
  <li> Web server processes the asp again: this second time is more complex. 
    <br> The fact that this is a second (or subsequent) page is detected 
         from hidden field <B>SubmitPage</b>. </li>
    <ol compact>
      <li> The form is again derived directly from HTML on asp page 
           (this time using values from previous page). </li>
      <li> asp processing invokes MTS object to submit request to 'back end' via MQ
       <br> (The sample also includes direct MQ code embedded in asp for comparison, 
            select the "Use MQ Direct" button to invoke this.) </li>
      <li> Results of this submission are presented on the result page. </li>
    </ol>
  <li> Result page is sent to browser. </li>
  <li> User views result, and may make further submissions if required. </li>
  <li> This simple sample does <b>not</b> have any capability for the user to track the
       status of the submission. </li>
</ol>
     
<h4> Construction of this active server page </h4>
This active server page is in five main sections.
<ol compact>
  <li> Retrieve values from form in previous page (for step 7.1). </li>
  <li> Main HTML layout of page (for steps 2.1 and 7.1). </li>
  <li> Browser script to perform some entry validation (for step 5). </li>
  <li> Server script to process previous page (for step 7.2)
     <br> and present result in next page (for step 7.3). </li>
  <li> This description. </li>
</ol>

</BODY>
</HTML>

