Attribute VB_Name = "VbMqMtsServeModule"
'<!/******************************************************************************/!>
'<!/*                                                                            */!>
'<!/* Program name: VbMqMts                                                      */!>
'<!/*                                                                            */!>
'<!/* Description:  Sample VB program for WebSphere MQ MTS Support               */!>
'<!/* <N_OCO_COPYRIGHT>                                                          */!>
'<!/* Licensed Materials - Property of IBM                                       */!>
'<!/*                                                                            */!>
'<!/* 5724-B41                                                                   */!>
'<!/* (C) Copyright IBM Corp. 1999, 2002 All Rights Reserved.                    */!>
'<!/*                                                                            */!>
'<!/* US Government Users Restricted Rights - Use, duplication or                */!>
'<!/* disclosure restricted by GSA ADP Schedule Contract with                    */!>
'<!/* IBM Corp.                                                                  */!>
'<!/* <NOC_COPYRIGHT>                                                            */!>
'<!/******************************************************************************/!>
Option Explicit

Public m_log As Boolean

Public Function checkerr() As String
    Dim e As String
    If Err.Number = 0 Then Exit Function
    e = "Error " & Err.Number & " x" & Hex(Err.Number) & " " & Err.Description
    log e, True
    checkerr = e
    Err.Clear
End Function

Public Function log(s As String, Optional force As Boolean = False)
Static lastlog As String
    If m_log Or force Then
        Dim ff As Long
        ff = FreeFile
        Open "c:\temp\mqserve.log" For Append As ff
        If force Then Print #ff, ">>>>>>>>>>>>>>" & lastlog
        Print #ff, Now() & " VbMqMtsServe: " & s
        Close ff
    End If
    lastlog = s
End Function

