@ rem -  Library:       WebSphere MQ
@ rem -  Component:     WMQ SOAP Sample Programs
@ rem -  Part:          setupWMQSOAP.cmd
@ rem - 
@ rem -   <N_OCO_COPYRIGHT> 
@ rem -   Licensed Materials - Property of IBM
@ rem -   
@ rem -   63H9336
@ rem -   (c) Copyright IBM Corp. 1994, 2005 All Rights Reserved.
@ rem -   
@ rem -   US Government Users Restricted Rights - Use, duplication or
@ rem -   disclosure restricted by GSA ADP Schedule Contract with
@ rem -   IBM Corp.
@ rem -   <NOC_COPYRIGHT>
@ rem - setup classpath and path as required for WMQSoap
@ rem - make sure we are working in our own directory
@ rem - and get WMQSOAP_HOME as an absolute paths usbale from anywhere
@ rem - but without the .. noise
@echo off
echo log from setupWMQSOAP.cmd >setupwmqsoap.log

set QMGR=%1
 if ""=="%1" (
   set QMGR=WMQSOAP.DEMO.QM
 )

call :try crtmqm %QMGR%
if errorlevel 1 exit /b 1

call :try strmqm %QMGR%
if errorlevel 1 exit /b 1

start /min runmqlsr -m %QMGR% -t tcp -p 9414
if errorlevel 1 exit /b 1

:lsrOK
call :rtry2 define qlocal(SYSTEM.SOAP.RESPONSE.QUEUE) BOTHRESH(3)
call :rtry2 define qmodel(SYSTEM.SOAP.MODEL.RESPONSE.QUEUE) BOTHRESH(3) DEFTYPE(PERMDYN) DEFSOPT(SHARED) SHARE
call :rtry2 define qlocal(SYSTEM.SOAP.SIDE.QUEUE)
call :rtry2 define channel(TESTCHANNEL) CHLTYPE(SVRCONN) TRPTYPE(TCP) REPLACE
call :rtry2 define channel(TESTSSLCHANNEL) CHLTYPE(SVRCONN) TRPTYPE(TCP) SSLCIPH(DES_SHA_EXPORT) REPLACE

goto :eof

:try
%* >>setupmq.log 2>>setupmq.errlog
if %errorlevel%==8 exit /b 0
if %errorlevel%==5 exit /b 0
if %errorlevel%==0 echo %* completed OK.
if %errorlevel%==0 exit /b 0
echo try %*: errlevel = %errorlevel%, see setupmq.log and setupmq.errlog for details.
exit /b 1


:rtry2
echo %* | runmqsc %QMGR% >>setupmq.log  2>>setupmq.errlog
if %errorlevel%==10 exit /b 0
if %errorlevel%==0 echo %* completed OK.
if %errorlevel%==0 exit /b 0
echo rtry %*: errlevel = %errorlevel%
echo try %*: errlevel = %errorlevel%, see setupmq.log and setupmq.errlog for details.
exit /b 1
