@ rem -  Library:       WebSphere MQ
@ rem -  Component:     WMQ SOAP Sample Programs
@ rem -  Part:          amqwclientConfig.cmd
@ rem - 
@ rem -   <N_OCO_COPYRIGHT> 
@ rem -   Licensed Materials - Property of IBM
@ rem -   
@ rem -   63H9336
@ rem -   (c) Copyright IBM Corp. 1994, 2005 All Rights Reserved.
@ rem -   
@ rem -   US Government Users Restricted Rights - Use, duplication or
@ rem -   disclosure restricted by GSA ADP Schedule Contract with
@ rem -   IBM Corp.
@ rem -   <NOC_COPYRIGHT>
@ rem - setup classpath and path as required for WMQSoap
@ rem - make sure we are working in our own directory
@ rem - and get WMQSOAP_HOME as an absolute paths usbale from anywhere
@ rem - but without the .. noise
@echo off
rem - Set up client-config.wsdd for Axis clients to use WMQ transport.
rem
rem - The transport is defined by clientTransport in the directory
rem - where this file lives.
rem - The result is saved in the current working directory
rem - from which this file is called.


setlocal
call "%WMQSOAP_HOME%\bin\amqwsetcp.cmd"
if errorlevel 1 exit /b

java org.apache.axis.utils.Admin client "%WMQSOAP_HOME%\bin\amqwclientTransport.wsdd"

endlocal
